Skip to main content
`Ctrl`+`K`

# PetscLogComplex

Returns the principal value of the complex natural logarithm of a `PetscComplex` value

## Synopsis

    #include <petscmath.h>
    PetscComplex PetscLogComplex(PetscComplex a)

Not Collective; No Fortran Support

## Input Parameter

. a - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscLogReal()`, `PetscLogScalar()`

## Level

beginner

## Location

include/petscmath.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages